package com.bocloud.ims.interfaces.resource.azure;

import com.bocloud.cmp.params.azure.UserAssignParams;
import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.GridBean;
import com.bocloud.common.model.Pager;
import com.bocloud.common.model.RequestContext;
import com.bocloud.ims.entity.resource.azure.AvailabilitySet;

public interface AvailabilitySetService {

    BocloudResult<GridBean<AvailabilitySet>> list(Pager pager, RequestContext context);

    BocloudResult<AvailabilitySet> detail(Long id, RequestContext context);

    BocloudResult<Void> create(AvailabilitySet entityParams, RequestContext context);

    BocloudResult<Void> remove(Long id, RequestContext context);

    BocloudResult<AvailabilitySet> assign(UserAssignParams params, RequestContext context);

    BocloudResult<Void> assignBatch(UserAssignParams params, RequestContext context);

}
